Bug 1551063 - replica_write_ruv log a failure even when it succeeds
Summary: replica_write_ruv log a failure even when it succeeds
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.4
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: thierry bordaz
QA Contact: RHDS QE
URL:
Whiteboard:
: 1546746 (view as bug list)
Depends On:
Blocks: 1559464
TreeView+ depends on / blocked
 
Reported: 2018-03-02 16:52 UTC by mreynolds
Modified: 2020-09-13 22:04 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.3.8.2-1.el7
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
: 1559464 (view as bug list)
Environment:
Last Closed: 2018-10-30 10:13:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github 389ds 389-ds-base issues 2519 0 None closed replica_write_ruv log a failure even when it succeeds 2020-09-23 18:50:56 UTC
Red Hat Product Errata RHSA-2018:3127 0 None None None 2018-10-30 10:14:55 UTC

Description mreynolds 2018-03-02 16:52:19 UTC
This bug is created as a clone of upstream ticket:
https://pagure.io/389-ds-base/issue/49460

#### Issue Description
When enabling replication logging any successful update will log

    [21/Nov/2017:17:09:26.769484385 +0100] - DEBUG - NSMMReplicationPlugin - replica_write_ruv - Failed to update RUV tombstone for dc=example,dc=com; LDAP error - 0


#### Package Version and Platform
It is side effect of https://pagure.io/389-ds-base/issue/48118
It applies to master and 1.3.7


#### Steps to reproduce

attached testcase

#### Actual results
Reports failure


#### Expected results
Should not log error

Comment 3 Nathan Kinder 2018-04-19 15:48:01 UTC
*** Bug 1546746 has been marked as a duplicate of this bug. ***

Comment 5 Amita Sharma 2018-06-07 09:47:12 UTC
[root@qeos-46 tickets]# pytest -s ticket49460_test.py 
================================================================ test session starts =================================================================
platform linux -- Python 3.6.3, pytest-3.6.1, py-1.5.3, pluggy-0.6.0
389-ds-base: 1.3.8.2-1.el7
nss: 3.34.0-4.el7
nspr: 4.17.0-1.el7
openldap: 2.4.44-13.el7
svrcore: 4.1.3-2.el7
FIPS: 0

rootdir: /export/tests/tickets, inifile:
plugins: metadata-1.7.0, html-1.19.0
collected 1 item                                                                                                                                     

ticket49460_test.py OK group dirsrv exists
OK user dirsrv exists
INFO:lib389.topologies:Instance with parameters {'ldap-port': 39001, 'ldap-secureport': 63701, 'server-id': 'master1', 'suffix': 'dc=example,dc=com'} was created.
OK group dirsrv exists
OK user dirsrv exists
INFO:lib389.topologies:Instance with parameters {'ldap-port': 39002, 'ldap-secureport': 63702, 'server-id': 'master2', 'suffix': 'dc=example,dc=com'} was created.
OK group dirsrv exists
OK user dirsrv exists
INFO:lib389.topologies:Instance with parameters {'ldap-port': 39003, 'ldap-secureport': 63703, 'server-id': 'master3', 'suffix': 'dc=example,dc=com'} was created.
INFO:lib389.topologies:Creating replication topology.
INFO:lib389.topologies:Joining master master2 to master1 ...
INFO:lib389.replica:SUCCESS: bootstrap to ldap://qeos-46.lab.eng.rdu2.redhat.com:39002 completed
INFO:lib389.replica:SUCCESS: Agreement from ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39002 is was created
INFO:lib389.replica:SUCCESS: Agreement from ldap://qeos-46.lab.eng.rdu2.redhat.com:39002 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 is was created
INFO:lib389.replica:SUCCESS: Replication from ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39002 is working
INFO:lib389.replica:SUCCESS: Replication from ldap://qeos-46.lab.eng.rdu2.redhat.com:39002 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 is working
INFO:lib389.replica:SUCCESS: joined master from ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39002
INFO:lib389.topologies:Joining master master3 to master1 ...
INFO:lib389.replica:SUCCESS: bootstrap to ldap://qeos-46.lab.eng.rdu2.redhat.com:39003 completed
INFO:lib389.replica:SUCCESS: Agreement from ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39003 is was created
INFO:lib389.replica:SUCCESS: Agreement from ldap://qeos-46.lab.eng.rdu2.redhat.com:39003 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 is was created
INFO:lib389.replica:SUCCESS: Replication from ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39003 is working
INFO:lib389.replica:SUCCESS: Replication from ldap://qeos-46.lab.eng.rdu2.redhat.com:39003 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 is working
INFO:lib389.replica:SUCCESS: joined master from ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39003
INFO:lib389.topologies:Ensuring master master1 to master2 ...
INFO:lib389.replica:SUCCESS: Agreement from ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39002 already exists
INFO:lib389.topologies:Ensuring master master1 to master3 ...
INFO:lib389.replica:SUCCESS: Agreement from ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39003 already exists
INFO:lib389.topologies:Ensuring master master2 to master1 ...
INFO:lib389.replica:SUCCESS: Agreement from ldap://qeos-46.lab.eng.rdu2.redhat.com:39002 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 already exists
INFO:lib389.topologies:Ensuring master master2 to master3 ...
INFO:lib389.replica:SUCCESS: Agreement from ldap://qeos-46.lab.eng.rdu2.redhat.com:39002 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39003 is was created
INFO:lib389.topologies:Ensuring master master3 to master1 ...
INFO:lib389.replica:SUCCESS: Agreement from ldap://qeos-46.lab.eng.rdu2.redhat.com:39003 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 already exists
INFO:lib389.topologies:Ensuring master master3 to master2 ...
INFO:lib389.replica:SUCCESS: Agreement from ldap://qeos-46.lab.eng.rdu2.redhat.com:39003 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39002 is was created
CRITICAL:tests.tickets.ticket49460_test:Adding user (cn=user11,ou=people,dc=example,dc=com): 
CRITICAL:tests.tickets.ticket49460_test:Adding user (cn=user21,ou=people,dc=example,dc=com): 
CRITICAL:tests.tickets.ticket49460_test:Adding user (cn=user31,ou=people,dc=example,dc=com): 
.Instance slapd-master1 removed.
Instance slapd-master2 removed.
Instance slapd-master3 removed.


============================================================= 1 passed in 60.81 seconds ==============================================================

Comment 6 Amita Sharma 2018-06-07 09:47:30 UTC
[root@qeos-46 tickets]# pytest -s ticket49460_test.py 
================================================================ test session starts =================================================================
platform linux -- Python 3.6.3, pytest-3.6.1, py-1.5.3, pluggy-0.6.0
389-ds-base: 1.3.8.2-1.el7
nss: 3.34.0-4.el7
nspr: 4.17.0-1.el7
openldap: 2.4.44-13.el7
svrcore: 4.1.3-2.el7
FIPS: 0

rootdir: /export/tests/tickets, inifile:
plugins: metadata-1.7.0, html-1.19.0
collected 1 item                                                                                                                                     

ticket49460_test.py OK group dirsrv exists
OK user dirsrv exists
INFO:lib389.topologies:Instance with parameters {'ldap-port': 39001, 'ldap-secureport': 63701, 'server-id': 'master1', 'suffix': 'dc=example,dc=com'} was created.
OK group dirsrv exists
OK user dirsrv exists
INFO:lib389.topologies:Instance with parameters {'ldap-port': 39002, 'ldap-secureport': 63702, 'server-id': 'master2', 'suffix': 'dc=example,dc=com'} was created.
OK group dirsrv exists
OK user dirsrv exists
INFO:lib389.topologies:Instance with parameters {'ldap-port': 39003, 'ldap-secureport': 63703, 'server-id': 'master3', 'suffix': 'dc=example,dc=com'} was created.
INFO:lib389.topologies:Creating replication topology.
INFO:lib389.topologies:Joining master master2 to master1 ...
INFO:lib389.replica:SUCCESS: bootstrap to ldap://qeos-46.lab.eng.rdu2.redhat.com:39002 completed
INFO:lib389.replica:SUCCESS: Agreement from ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39002 is was created
INFO:lib389.replica:SUCCESS: Agreement from ldap://qeos-46.lab.eng.rdu2.redhat.com:39002 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 is was created
INFO:lib389.replica:SUCCESS: Replication from ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39002 is working
INFO:lib389.replica:SUCCESS: Replication from ldap://qeos-46.lab.eng.rdu2.redhat.com:39002 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 is working
INFO:lib389.replica:SUCCESS: joined master from ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39002
INFO:lib389.topologies:Joining master master3 to master1 ...
INFO:lib389.replica:SUCCESS: bootstrap to ldap://qeos-46.lab.eng.rdu2.redhat.com:39003 completed
INFO:lib389.replica:SUCCESS: Agreement from ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39003 is was created
INFO:lib389.replica:SUCCESS: Agreement from ldap://qeos-46.lab.eng.rdu2.redhat.com:39003 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 is was created
INFO:lib389.replica:SUCCESS: Replication from ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39003 is working
INFO:lib389.replica:SUCCESS: Replication from ldap://qeos-46.lab.eng.rdu2.redhat.com:39003 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 is working
INFO:lib389.replica:SUCCESS: joined master from ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39003
INFO:lib389.topologies:Ensuring master master1 to master2 ...
INFO:lib389.replica:SUCCESS: Agreement from ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39002 already exists
INFO:lib389.topologies:Ensuring master master1 to master3 ...
INFO:lib389.replica:SUCCESS: Agreement from ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39003 already exists
INFO:lib389.topologies:Ensuring master master2 to master1 ...
INFO:lib389.replica:SUCCESS: Agreement from ldap://qeos-46.lab.eng.rdu2.redhat.com:39002 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 already exists
INFO:lib389.topologies:Ensuring master master2 to master3 ...
INFO:lib389.replica:SUCCESS: Agreement from ldap://qeos-46.lab.eng.rdu2.redhat.com:39002 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39003 is was created
INFO:lib389.topologies:Ensuring master master3 to master1 ...
INFO:lib389.replica:SUCCESS: Agreement from ldap://qeos-46.lab.eng.rdu2.redhat.com:39003 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39001 already exists
INFO:lib389.topologies:Ensuring master master3 to master2 ...
INFO:lib389.replica:SUCCESS: Agreement from ldap://qeos-46.lab.eng.rdu2.redhat.com:39003 to ldap://qeos-46.lab.eng.rdu2.redhat.com:39002 is was created
CRITICAL:tests.tickets.ticket49460_test:Adding user (cn=user11,ou=people,dc=example,dc=com): 
CRITICAL:tests.tickets.ticket49460_test:Adding user (cn=user21,ou=people,dc=example,dc=com): 
CRITICAL:tests.tickets.ticket49460_test:Adding user (cn=user31,ou=people,dc=example,dc=com): 
.Instance slapd-master1 removed.
Instance slapd-master2 removed.
Instance slapd-master3 removed.


============================================================= 1 passed in 60.81 seconds ==============================================================

Comment 8 errata-xmlrpc 2018-10-30 10:13:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3127


Note You need to log in before you can comment on or make changes to this bug.